# setArtifactUrls

abstract fun setArtifactUrls(urls: Set<URI>)

Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

#### Since

4.0

#### Parameters

urls

The URLs.

abstract fun setArtifactUrls(urls: Iterable<out Any>)

Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

The provided values are evaluated as per uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

#### Parameters

urls

The URLs.